- Qt 5.15
- Qt Quick
- QML Types
- PauseAnimation QML Type
- Qt 5.15.18 Reference Documentation

# PauseAnimation QML Type

Provides a pause for an animation. More...

Import Statement: | import QtQuick 2.15
Inherits: | Animation

- List of all members, including inherited members

## Properties

- duration : int

## Detailed Description

When used in a SequentialAnimation, PauseAnimation is a step when nothing happens, for a specified duration.

A 500ms animation sequence, with a 100ms pause between two animations:

     SequentialAnimation {
         NumberAnimation { ... duration: 200 }
         PauseAnimation { duration: 100 }
         NumberAnimation { ... duration: 200 }
     }

See also Animation and Transitions in Qt Quick and Qt Quick Examples - Animation.

## Property Documentation

duration : int

This property holds the duration of the pause in milliseconds

The default value is 250.